summaryrefslogtreecommitdiffstats
path: root/sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher
diff options
context:
space:
mode:
Diffstat (limited to 'sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher')
-rw-r--r--sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/README42
-rw-r--r--sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/default.config22
-rw-r--r--sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/logging.properties25
-rw-r--r--sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/osgi.config21
-rw-r--r--sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/tuscany.bat84
-rw-r--r--sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/tuscany.sh108
-rw-r--r--sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/unmanaged.config21
7 files changed, 323 insertions, 0 deletions
diff --git a/sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/README b/sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/README
new file mode 100644
index 0000000000..d651dfdeb7
--- /dev/null
+++ b/sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/README
@@ -0,0 +1,42 @@
+The bin folder contains bat and shell scripts to help with using Tuscany.
+You can use the "tuscany.bat" script to start a standalone runtime and
+deploy your SCA contributions.
+
+For example, change to the implementation-java-calculator sample included
+in the Tuscany distribution and enter the following command:
+
+..\..\bin\tuscany.bat target\implementation-java-calculator.jar
+
+The script also supports things such as using a Java remote debugger,
+for help enter use the "/?" parameter, eg:
+
+..\..\bin\tuscany.bat /?
+
+To simplify the use of the script add the absolute file path of the bin
+folder to your environment path:
+
+set PATH=%PATH%;\Tuscany\tuscany-sca-2.0-M4\bin
+
+and that enables running the script by just "tuscany", for example, in the
+implementation-java-calculator sample again you can enter:
+
+tuscany target\implementation-java-calculator.jar
+
+Tuscany developers may find it useful to add the script from their SVN checkout
+development build to their environment so as to start runtimes using their local
+trunk build, for example:
+
+set PATH=%PATH%;\Tuscany\SVN\trunk\distribution\all\target\apache-tuscany-sca-all-2.0-SNAPSHOT-dir\tuscany-sca-2.0-SNAPSHOT\bin
+
+
+
+
+
+
+
+
+
+
+
+
+
diff --git a/sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/default.config b/sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/default.config
new file mode 100644
index 0000000000..6b7af5a089
--- /dev/null
+++ b/sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/default.config
@@ -0,0 +1,22 @@
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements. See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+classpath=modules/**
+mainClass=[firstArgJarManifestMainClass]|org.apache.tuscany.sca.shell.Shell
+-Djava.util.logging.config.file={TUSCANY_HOME}/bin/logging.properties
+
+
diff --git a/sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/logging.properties b/sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/logging.properties
new file mode 100644
index 0000000000..d21ce135b0
--- /dev/null
+++ b/sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/logging.properties
@@ -0,0 +1,25 @@
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements. See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+handlers= java.util.logging.ConsoleHandler
+
+.level = WARNING
+
+java.util.logging.ConsoleHandler.level = FINE
+java.util.logging.ConsoleHandler.formatter = java.util.logging.SimpleFormatter
+
+org.apache.tuscany.sca.level = WARNING
diff --git a/sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/osgi.config b/sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/osgi.config
new file mode 100644
index 0000000000..9516b9db34
--- /dev/null
+++ b/sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/osgi.config
@@ -0,0 +1,21 @@
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements. See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+classpath=modules/**
+-Djava.util.logging.config.file={TUSCANY_HOME}/samples/logging.properties
+mainClass=org.apache.tuscany.sca.node.equinox.launcher.NodeLauncher2
+
diff --git a/sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/tuscany.bat b/sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/tuscany.bat
new file mode 100644
index 0000000000..191b02c7db
--- /dev/null
+++ b/sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/tuscany.bat
@@ -0,0 +1,84 @@
+@echo off
+
+REM # Licensed to the Apache Software Foundation (ASF) under one
+REM # or more contributor license agreements. See the NOTICE file
+REM # distributed with this work for additional information
+REM # regarding copyright ownership. The ASF licenses this file
+REM # to you under the Apache License, Version 2.0 (the
+REM # "License"); you may not use this file except in compliance
+REM # with the License. You may obtain a copy of the License at
+REM #
+REM # http://www.apache.org/licenses/LICENSE-2.0
+REM #
+REM # Unless required by applicable law or agreed to in writing,
+REM # software distributed under the License is distributed on an
+REM # "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+REM # KIND, either express or implied. See the License for the
+REM # specific language governing permissions and limitations
+REM # under the License.
+
+REM TODO: can't get these to work yet when using the tribes domaim URI in quotes
+if "%1".=="/?". goto help
+if "%1".=="-help". goto help
+if "%1".=="-help". goto help
+
+if not "%TUSCANY_HOME%"=="" goto gotHome
+SET TUSCANY_HOME=%~dp0\..
+if not "%TUSCANY_HOME%"=="" goto gotHome
+echo.
+echo cannot find TUSCANY_HOME please set TUSCANY_HOME variable to the Tuscany installation dir
+echo.
+goto error
+:gotHome
+
+
+set _XDEBUG=
+if not "%1"=="debug" goto skipDebug
+set _XDEBUG=-Xdebug -Xrunjdwp:transport=dt_socket,address=8000,server=y,suspend=y
+shift
+:skipDebug
+
+set _FORK=
+if not "%1"=="fork" goto skipFork
+set _FORK=start
+shift
+:skipFORK
+
+set _CMD_LINE_ARGS=
+:argsLoop
+if %1a==a goto doneInit
+set _CMD_LINE_ARGS=%_CMD_LINE_ARGS% %1
+shift
+goto argsLoop
+
+
+:doneInit
+
+%_FORK% java %_XDEBUG% -jar %TUSCANY_HOME%/bin/launcher.jar %_CMD_LINE_ARGS%
+
+goto end
+
+:help
+
+echo Apache Tuscany SCA runtime launcher
+echo TUSCANY [debug] [fork] [domainURI] contributions
+echo debug enable Java remote debugging
+echo fork start a new command prompt window to run the contributions
+echo domainURI config URI for the domain, the format is:
+echo vm:domainName
+echo or
+echo "tribes:domainName?routes=ip1,ip2,..."
+echo NOTE that the tribes URI needs to be in quotes
+echo contributions list of SCA contribution file names seperated by spaces. All
+echo deployable composites found in the contributions will be run.
+
+goto end
+
+:error
+set ERROR_CODE=1
+
+
+:end
+@endlocal
+exit /B %ERROR_CODE%
+
diff --git a/sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/tuscany.sh b/sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/tuscany.sh
new file mode 100644
index 0000000000..2255c1c41d
--- /dev/null
+++ b/sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/tuscany.sh
@@ -0,0 +1,108 @@
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+
+#!/bin/bash
+
+# copied from tomcat catalina.sh
+# resolve links - $0 may be a softlink
+PRG="$0"
+
+while [ -h "$PRG" ]; do
+ ls=`ls -ld "$PRG"`
+ link=`expr "$ls" : '.*-> \(.*\)$'`
+ if expr "$link" : '/.*' > /dev/null; then
+ PRG="$link"
+ else
+ PRG=`dirname "$PRG"`/"$link"
+ fi
+done
+
+# Get standard environment variables
+PRGDIR=`dirname "$PRG"`
+
+# Only set CATALINA_HOME if not already set
+[ -z "$TUSCANY_HOME" ] && TUSCANY_HOME=`cd "$PRGDIR/.." ; pwd`
+
+if [ "$1" = "/?" ] ; then
+ echo "Apache Tuscany SCA runtime launcher"
+ echo "TUSCANY [debug] contributions"
+ echo " debug enable Java remote debugging"
+ echo " contributions list of SCA contribution file names seperated by spaces. All"
+ echo " deployable composites found in the contributions will be run."
+ exit 1
+fi
+
+_XDEBUG=""
+if [ "$1" = "debug" ] ; then
+ _XDEBUG="-Xdebug -Xrunjdwp:transport=dt_socket,address=8000,server=y,suspend=y"
+ shift
+fi
+
+java $_XDEBUG -jar $TUSCANY_HOME/bin/launcher.jar "$@"
+# Licensed to the Apache Softwae Foundation (ASF) unde one
+# o moe contibuto license ageements. See the NOTICE file
+# distibuted with this wok fo additional infomation
+# egading copyight owneship. The ASF licenses this file
+# to you unde the Apache License, Vesion 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.og/licenses/LICENSE-2.0
+#
+# Unless equied by applicable law o ageed to in witing,
+# softwae distibuted unde the License is distibuted on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, eithe expess o implied. See the License fo the
+# specific language govening pemissions and limitations
+
+#!/bin/bash
+
+# copied fom tomcat catalina.sh
+# esolve links - $0 may be a softlink
+PRG="$0"
+
+while [ -h "$PRG" ]; do
+ ls=`ls -ld "$PRG"`
+ link=`exp "$ls" : '.*-> \(.*\)$'`
+ if exp "$link" : '/.*' > /dev/null; then
+ PRG="$link"
+ else
+ PRG=`diname "$PRG"`/"$link"
+ fi
+done
+
+# Get standad envionment vaiables
+PRGDIR=`diname "$PRG"`
+
+# Only set CATALINA_HOME if not aleady set
+[ -z "$TUSCANY_HOME" ] && TUSCANY_HOME=`cd "$PRGDIR/.." ; pwd`
+
+if [ "$1" = "/?" ] ; then
+ echo "Apache Tuscany SCA untime launche"
+ echo "TUSCANY [debug] contibutions"
+ echo " debug enable Java emote debugging"
+ echo " contibutions list of SCA contibution file names sepeated by spaces. All"
+ echo " deployable composites found in the contibutions will be un."
+ exit 1
+fi
+
+_XDEBUG=""
+if [ "$1" = "debug" ] ; then
+ _XDEBUG="-Xdebug -Xunjdwp:tanspot=dt_socket,addess=8000,seve=y,suspend=y"
+ shift
+fi
+
+java $_XDEBUG -ja $TUSCANY_HOME/bin/launche.ja "$@"
diff --git a/sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/unmanaged.config b/sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/unmanaged.config
new file mode 100644
index 0000000000..ac99590ce9
--- /dev/null
+++ b/sca-java-2.x/tags/2.0.1-RC1/distribution/all/src/main/release/launcher/unmanaged.config
@@ -0,0 +1,21 @@
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements. See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+classpath=modules/**
+-Djava.util.logging.config.file={TUSCANY_HOME}/samples/logging.properties
+mainClass=[firstArgJarManifestMainClass]
+